Ignore:
Timestamp:
Oct 15, 2013 5:06:12 PM (7 years ago)
Author:
stefan
Message:

revert r2394:HEAD - releases are not to be modified

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/SCIP/releases/1.2.1/configure

    r2983 r2985  
    10821082                          (implies --disable-shared)
    10831083  --enable-debug-scip compile project SCIP with debug compiler flags
    1084 
    1085   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1084  --enable-doscompile     Under Cygwin, compile so that executables run under
     1085                          DOS. Set to mingw to use gcc/g++/ld with
     1086                          -mno-cygwin. Set to msvc to use cl/link (or
     1087                          icl/link). Default when mentioned: mingw. Default
     1088                          when not mentioned: disabled.
    10861089  --enable-static[=PKGS]
    10871090                          build static libraries [default=no]
     
    19151918
    19161919# Get the name of the C compiler and appropriate compiler options
    1917 
    1918 
    1919   # for backward compatibility
    1920   # Check whether --enable-doscompile or --disable-doscompile was given.
    1921 if test "${enable_doscompile+set}" = set; then
    1922   enableval="$enable_doscompile"
    1923   enable_doscompile=$enableval
    1924 else
    1925   enable_doscompile=no
    1926 fi;
    1927 
    1928   # Check whether --enable-msvc or --disable-msvc was given.
    1929 if test "${enable_msvc+set}" = set; then
    1930   enableval="$enable_msvc"
    1931   enable_msvc=$enableval
    1932 else
    1933   enable_msvc=no
    1934      if test "$enable_doscompile" = msvc ; then
    1935        enable_msvc=yes
    1936      elif test "$enable_doscompile" != no ; then
    1937        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1938 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    1939    { (exit 1); exit 1; }; }
    1940      fi
    1941 
    1942 fi;
    1943 
    1944   if test "$enable_msvc" = yes; then
    1945     case $build in
    1946       *-cygwin* | *-mingw*) ;;
    1947       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1948 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1949    { (exit 1); exit 1; }; } ;;
    1950     esac
    1951   fi
    1952 
    1953 
    1954  case $build in
     1920case $build in
    19551921  *-mingw*)
    19561922    if test "${LD+set}" = set; then :; else
     
    19591925    ;;
    19601926 esac
    1961  if test $enable_msvc = yes ; then
    1962    if test "x${LD+set}" = xset; then :; else
    1963      LD=link
     1927 case $enable_doscompile in
     1928   msvc)
     1929     if test "x${LD+set}" = xset; then :; else
     1930       LD=link
     1931     fi
     1932     ;;
     1933 esac
     1934
     1935
     1936 # Check whether --enable-doscompile or --disable-doscompile was given.
     1937if test "${enable_doscompile+set}" = set; then
     1938  enableval="$enable_doscompile"
     1939  if test "$enable_doscompile" != no; then
     1940     case $build in
     1941       *-cygwin* | *-mingw*) ;;
     1942       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1943echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1944   { (exit 1); exit 1; }; } ;;
     1945     esac
    19641946   fi
    1965  fi
     1947else
     1948  enable_doscompile=no
     1949fi;
     1950 case "$enable_doscompile" in
     1951   mingw)
     1952     case $build in
     1953       *-mingw*) enable_doscompile=no ;;
     1954     esac
     1955     ;;
     1956   msvc|no) ;;
     1957   yes) enable_doscompile=mingw ;;
     1958   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1959                    Try configure --help=recursive." >&5
     1960echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1961                    Try configure --help=recursive." >&2;}
     1962   { (exit 1); exit 1; }; }
     1963      ;;
     1964  esac
     1965  if test "$enable_doscompile" != no ; then
     1966    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1967echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1968  fi
    19661969
    19671970
     
    20062009case $build in
    20072010  *-cygwin* | *-mingw*)
    2008              if test "$enable_msvc" = yes ; then
    2009                comps="icl cl gcc"
     2011             if test "$enable_doscompile" = msvc ; then
     2012               comps="icl cl"
    20102013             else
    2011                comps="gcc icl cl"
     2014               comps="gcc cl"
    20122015             fi ;;
    20132016  *-*-solaris*)
     
    28622865            ;;
    28632866        esac
     2867        case $enable_doscompile in
     2868          mingw)
     2869            CFLAGS="-mno-cygwin"
     2870            cat >conftest.$ac_ext <<_ACEOF
     2871/* confdefs.h.  */
     2872_ACEOF
     2873cat confdefs.h >>conftest.$ac_ext
     2874cat >>conftest.$ac_ext <<_ACEOF
     2875/* end confdefs.h.  */
     2876
     2877int
     2878main ()
     2879{
     2880int i=0; i++;
     2881  ;
     2882  return 0;
     2883}
     2884_ACEOF
     2885rm -f conftest.$ac_objext conftest$ac_exeext
     2886if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2887  (eval $ac_link) 2>conftest.er1
     2888  ac_status=$?
     2889  grep -v '^ *+' conftest.er1 >conftest.err
     2890  rm -f conftest.er1
     2891  cat conftest.err >&5
     2892  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2893  (exit $ac_status); } &&
     2894         { ac_try='test -z "$ac_c_werror_flag"
     2895                         || test ! -s conftest.err'
     2896  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2897  (eval $ac_try) 2>&5
     2898  ac_status=$?
     2899  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2900  (exit $ac_status); }; } &&
     2901         { ac_try='test -s conftest$ac_exeext'
     2902  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2903  (eval $ac_try) 2>&5
     2904  ac_status=$?
     2905  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2906  (exit $ac_status); }; }; then
     2907  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2908else
     2909  echo "$as_me: failed program was:" >&5
     2910sed 's/^/| /' conftest.$ac_ext >&5
     2911
     2912fi
     2913rm -f conftest.err conftest.$ac_objext \
     2914      conftest$ac_exeext conftest.$ac_ext
     2915            CFLAGS=
     2916          ;;
     2917        esac
    28642918    esac
    28652919  fi
     
    32023256  clang* ) ;;
    32033257  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3204 
    3205  case $build in
     3258    case $build in
    32063259  *-mingw*)
    32073260    if test "${LD+set}" = set; then :; else
     
    32103263    ;;
    32113264 esac
    3212  if test $enable_msvc = yes ; then
    3213    if test "x${LD+set}" = xset; then :; else
    3214      LD=link
    3215    fi
    3216  fi
     3265 case $enable_doscompile in
     3266   msvc)
     3267     if test "x${LD+set}" = xset; then :; else
     3268       LD=link
     3269     fi
     3270     ;;
     3271 esac
    32173272
    32183273    ;;
     
    32493304case $build in
    32503305  *-cygwin* | *-mingw*)
    3251       if test "$enable_msvc" = yes ; then
    3252          comps="icl cl g++"
    3253       else
    3254          comps="g++ icl cl"
    3255       fi ;;
     3306             if test "$enable_doscompile" = msvc ; then
     3307               comps="icl cl"
     3308             else
     3309               comps="g++ cl"
     3310             fi ;;
    32563311  *-*-solaris*)
    32573312             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     
    37613816            ;;
    37623817        esac
     3818
     3819        case $enable_doscompile in
     3820          mingw)
     3821            CXXFLAGS="-mno-cygwin"
     3822            cat >conftest.$ac_ext <<_ACEOF
     3823/* confdefs.h.  */
     3824_ACEOF
     3825cat confdefs.h >>conftest.$ac_ext
     3826cat >>conftest.$ac_ext <<_ACEOF
     3827/* end confdefs.h.  */
     3828
     3829int
     3830main ()
     3831{
     3832int i=0; i++;
     3833  ;
     3834  return 0;
     3835}
     3836_ACEOF
     3837rm -f conftest.$ac_objext conftest$ac_exeext
     3838if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3839  (eval $ac_link) 2>conftest.er1
     3840  ac_status=$?
     3841  grep -v '^ *+' conftest.er1 >conftest.err
     3842  rm -f conftest.er1
     3843  cat conftest.err >&5
     3844  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3845  (exit $ac_status); } &&
     3846         { ac_try='test -z "$ac_cxx_werror_flag"
     3847                         || test ! -s conftest.err'
     3848  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3849  (eval $ac_try) 2>&5
     3850  ac_status=$?
     3851  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3852  (exit $ac_status); }; } &&
     3853         { ac_try='test -s conftest$ac_exeext'
     3854  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3855  (eval $ac_try) 2>&5
     3856  ac_status=$?
     3857  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3858  (exit $ac_status); }; }; then
     3859  coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
     3860else
     3861  echo "$as_me: failed program was:" >&5
     3862sed 's/^/| /' conftest.$ac_ext >&5
     3863
     3864fi
     3865rm -f conftest.err conftest.$ac_objext \
     3866      conftest$ac_exeext conftest.$ac_ext
     3867            CXXFLAGS=
     3868          ;;
     3869        esac
    37633870    esac
    37643871  fi
     
    41124219  clang* ) ;;
    41134220  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4114 
    4115  case $build in
     4221    case $build in
    41164222  *-mingw*)
    41174223    if test "${LD+set}" = set; then :; else
     
    41204226    ;;
    41214227 esac
    4122  if test $enable_msvc = yes ; then
    4123    if test "x${LD+set}" = xset; then :; else
    4124      LD=link
    4125    fi
    4126  fi
     4228 case $enable_doscompile in
     4229   msvc)
     4230     if test "x${LD+set}" = xset; then :; else
     4231       LD=link
     4232     fi
     4233     ;;
     4234 esac
    41274235
    41284236    ;;
     
    58976005*-*-irix6*)
    58986006  # Find out which ABI we are using.
    5899   echo '#line 5899 "configure"' > conftest.$ac_ext
     6007  echo '#line 6007 "configure"' > conftest.$ac_ext
    59006008  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    59016009  (eval $ac_compile) 2>&5
     
    70317139
    70327140# Provide some information about the compiler.
    7033 echo "$as_me:7033:" \
     7141echo "$as_me:7141:" \
    70347142     "checking for Fortran 77 compiler version" >&5
    70357143ac_compiler=`set X $ac_compile; echo $2`
     
    80988206   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80998207   -e 's:$: $lt_compiler_flag:'`
    8100    (eval echo "\"\$as_me:8100: $lt_compile\"" >&5)
     8208   (eval echo "\"\$as_me:8208: $lt_compile\"" >&5)
    81018209   (eval "$lt_compile" 2>conftest.err)
    81028210   ac_status=$?
    81038211   cat conftest.err >&5
    8104    echo "$as_me:8104: \$? = $ac_status" >&5
     8212   echo "$as_me:8212: \$? = $ac_status" >&5
    81058213   if (exit $ac_status) && test -s "$ac_outfile"; then
    81068214     # The compiler can only warn and ignore the option if not recognized
     
    83668474   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83678475   -e 's:$: $lt_compiler_flag:'`
    8368    (eval echo "\"\$as_me:8368: $lt_compile\"" >&5)
     8476   (eval echo "\"\$as_me:8476: $lt_compile\"" >&5)
    83698477   (eval "$lt_compile" 2>conftest.err)
    83708478   ac_status=$?
    83718479   cat conftest.err >&5
    8372    echo "$as_me:8372: \$? = $ac_status" >&5
     8480   echo "$as_me:8480: \$? = $ac_status" >&5
    83738481   if (exit $ac_status) && test -s "$ac_outfile"; then
    83748482     # The compiler can only warn and ignore the option if not recognized
     
    84708578   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84718579   -e 's:$: $lt_compiler_flag:'`
    8472    (eval echo "\"\$as_me:8472: $lt_compile\"" >&5)
     8580   (eval echo "\"\$as_me:8580: $lt_compile\"" >&5)
    84738581   (eval "$lt_compile" 2>out/conftest.err)
    84748582   ac_status=$?
    84758583   cat out/conftest.err >&5
    8476    echo "$as_me:8476: \$? = $ac_status" >&5
     8584   echo "$as_me:8584: \$? = $ac_status" >&5
    84778585   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    84788586   then
     
    1081510923  lt_status=$lt_dlunknown
    1081610924  cat > conftest.$ac_ext <<EOF
    10817 #line 10817 "configure"
     10925#line 10925 "configure"
    1081810926#include "confdefs.h"
    1081910927
     
    1091511023  lt_status=$lt_dlunknown
    1091611024  cat > conftest.$ac_ext <<EOF
    10917 #line 10917 "configure"
     11025#line 11025 "configure"
    1091811026#include "confdefs.h"
    1091911027
     
    1325913367   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1326013368   -e 's:$: $lt_compiler_flag:'`
    13261    (eval echo "\"\$as_me:13261: $lt_compile\"" >&5)
     13369   (eval echo "\"\$as_me:13369: $lt_compile\"" >&5)
    1326213370   (eval "$lt_compile" 2>conftest.err)
    1326313371   ac_status=$?
    1326413372   cat conftest.err >&5
    13265    echo "$as_me:13265: \$? = $ac_status" >&5
     13373   echo "$as_me:13373: \$? = $ac_status" >&5
    1326613374   if (exit $ac_status) && test -s "$ac_outfile"; then
    1326713375     # The compiler can only warn and ignore the option if not recognized
     
    1336313471   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1336413472   -e 's:$: $lt_compiler_flag:'`
    13365    (eval echo "\"\$as_me:13365: $lt_compile\"" >&5)
     13473   (eval echo "\"\$as_me:13473: $lt_compile\"" >&5)
    1336613474   (eval "$lt_compile" 2>out/conftest.err)
    1336713475   ac_status=$?
    1336813476   cat out/conftest.err >&5
    13369    echo "$as_me:13369: \$? = $ac_status" >&5
     13477   echo "$as_me:13477: \$? = $ac_status" >&5
    1337013478   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1337113479   then
     
    1493315041   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1493415042   -e 's:$: $lt_compiler_flag:'`
    14935    (eval echo "\"\$as_me:14935: $lt_compile\"" >&5)
     15043   (eval echo "\"\$as_me:15043: $lt_compile\"" >&5)
    1493615044   (eval "$lt_compile" 2>conftest.err)
    1493715045   ac_status=$?
    1493815046   cat conftest.err >&5
    14939    echo "$as_me:14939: \$? = $ac_status" >&5
     15047   echo "$as_me:15047: \$? = $ac_status" >&5
    1494015048   if (exit $ac_status) && test -s "$ac_outfile"; then
    1494115049     # The compiler can only warn and ignore the option if not recognized
     
    1503715145   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1503815146   -e 's:$: $lt_compiler_flag:'`
    15039    (eval echo "\"\$as_me:15039: $lt_compile\"" >&5)
     15147   (eval echo "\"\$as_me:15147: $lt_compile\"" >&5)
    1504015148   (eval "$lt_compile" 2>out/conftest.err)
    1504115149   ac_status=$?
    1504215150   cat out/conftest.err >&5
    15043    echo "$as_me:15043: \$? = $ac_status" >&5
     15151   echo "$as_me:15151: \$? = $ac_status" >&5
    1504415152   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1504515153   then
     
    1724417352   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1724517353   -e 's:$: $lt_compiler_flag:'`
    17246    (eval echo "\"\$as_me:17246: $lt_compile\"" >&5)
     17354   (eval echo "\"\$as_me:17354: $lt_compile\"" >&5)
    1724717355   (eval "$lt_compile" 2>conftest.err)
    1724817356   ac_status=$?
    1724917357   cat conftest.err >&5
    17250    echo "$as_me:17250: \$? = $ac_status" >&5
     17358   echo "$as_me:17358: \$? = $ac_status" >&5
    1725117359   if (exit $ac_status) && test -s "$ac_outfile"; then
    1725217360     # The compiler can only warn and ignore the option if not recognized
     
    1751217620   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1751317621   -e 's:$: $lt_compiler_flag:'`
    17514    (eval echo "\"\$as_me:17514: $lt_compile\"" >&5)
     17622   (eval echo "\"\$as_me:17622: $lt_compile\"" >&5)
    1751517623   (eval "$lt_compile" 2>conftest.err)
    1751617624   ac_status=$?
    1751717625   cat conftest.err >&5
    17518    echo "$as_me:17518: \$? = $ac_status" >&5
     17626   echo "$as_me:17626: \$? = $ac_status" >&5
    1751917627   if (exit $ac_status) && test -s "$ac_outfile"; then
    1752017628     # The compiler can only warn and ignore the option if not recognized
     
    1761617724   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1761717725   -e 's:$: $lt_compiler_flag:'`
    17618    (eval echo "\"\$as_me:17618: $lt_compile\"" >&5)
     17726   (eval echo "\"\$as_me:17726: $lt_compile\"" >&5)
    1761917727   (eval "$lt_compile" 2>out/conftest.err)
    1762017728   ac_status=$?
    1762117729   cat out/conftest.err >&5
    17622    echo "$as_me:17622: \$? = $ac_status" >&5
     17730   echo "$as_me:17730: \$? = $ac_status" >&5
    1762317731   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1762417732   then
     
    2500525113echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2500625114coin_link_input_cmd="$LN_S"
     25115if test "$enable_doscompile" = mingw; then
     25116  coin_link_input_cmd=cp
     25117fi
    2500725118case "$CC" in
    2500825119  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.